%define		_class		Cache
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.5.6
Release:	%mkrel 7
Summary:	Framework for caching of arbitrary data
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Cache/
Source0:	http://pear.php.net/get/Cache-%{version}.tgz
Requires:	php-pear >= 1.7.0
Requires(post): php-pear
Requires(preun): php-pear
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch

%description
With the PEAR Cache you can cache the result of certain function
calls, as well as the output of a whole script run or share data
between applications.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Cache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Cache
fi

%files
%{peardir}/*
%{xmldir}/Cache.xml






%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.5.6-7.mga6
+ Revision: 952355
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 spuhler <spuhler> 1.5.6-6.mga5
+ Revision: 815610
- fixed unexpanded macro ( there were commented out)
- pearized spec file
- replaced source with one from upstream (bz2 with tgz)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.6-5.mga5
+ Revision: 748585
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.6-4.mga5
+ Revision: 687181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.6-3.mga4
+ Revision: 516524
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.6-2.mga3
+ Revision: 375889
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 spuhler <spuhler> 1.5.6-1.mga1
+ Revision: 20362
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Cache


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-1mdv2011.0
+ Revision: 594482
- update to new version 1.5.6

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.5-4mdv2010.1
+ Revision: 478287
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5.5-3mdv2010.0
+ Revision: 426603
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-2mdv2009.1
+ Revision: 321797
- rebuild

* Sun Oct 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.5-1mdv2009.1
+ Revision: 292876
- update to new version 1.5.5

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.5.4-10mdv2009.0
+ Revision: 224686
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-9mdv2008.1
+ Revision: 178499
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-8mdv2007.0
+ Revision: 81403
- Import php-pear-Cache

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.4-2mdk
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.5.4-1mdk
- First mdk package

